summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdam Stankiewicz <sheerun@sher.pl>2013-09-12 15:50:45 +0200
committerAdam Stankiewicz <sheerun@sher.pl>2013-09-12 15:50:45 +0200
commit9ffe4c9968c180f2702276a71e6d9fcc68de96a2 (patch)
tree7cc56b69183b8598d244c0112c8bb33685ed984f
downloadvim-polyglot-9ffe4c9968c180f2702276a71e6d9fcc68de96a2.tar.gz
vim-polyglot-9ffe4c9968c180f2702276a71e6d9fcc68de96a2.zip
Add first version of build script
-rw-r--r--.gitignore1
-rwxr-xr-xbuild.sh31
2 files changed, 32 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000..ceeb05b4
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+/tmp
diff --git a/build.sh b/build.sh
new file mode 100755
index 00000000..850e46f1
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+DIRS="
+ syntax indent ftplugin ftdetect autoload compiler doc
+ after/syntax after/indent
+"
+
+copy_dir() {
+ if [ -d "tmp/$1" ]; then
+ mkdir -p "$1"
+ cp -r tmp/$1/* $1/
+ fi
+}
+
+# Fetches syntax files from given Github repo
+syntax() {
+ echo "$1..."
+ rm -rf tmp
+ git clone -q --recursive "https://github.com/$1.git" tmp
+ which tree && tree tmp
+
+ for dir in $DIRS; do
+ copy_dir "$dir"
+ done
+}
+
+rm -rf $DIRS
+
+# syntax 'vim-ruby/vim-ruby'